Bug 1268818 - dnf -v group list not mentioned in man page
dnf -v group list not mentioned in man page
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
All Linux
unspecified Severity low
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 07:33 EDT by Kees de Jong
Modified: 2016-03-26 13:58 EDT (History)
6 users (show)

See Also:
Fixed In Version: dnf-1.1.7-2.fc23 dnf-1.1.7-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 13:58:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kees de Jong 2015-10-05 07:33:37 EDT
Description of problem: I was looking for a way to find the group names as 'terminal friendly' names e.g. @education instead of "Educational Software" which is case sensitive and takes a bit more effort to type. But I couldn't find anything about it in the man page.


Version-Release number of selected component (if applicable): Not applicable


How reproducible: When you run `dnf group list` you'll see full names only, to install something you have to pass the full name, upper case characters included e.g. `dnf group install "Educational Software"`, it's easier to type `dnf install @education`. But those names are 'hidden', with the -v switch it's displayed. But that option is not mentioned in the man page.

`dnf -v group list`:
Available environment groups:
   Minimal Install (minimal-environment)
   Fedora Server (server-product-environment)
   Fedora Cloud Server (cloud-server-environment)
   KDE Plasma Workspaces (kde-desktop-environment)
   Xfce Desktop (xfce-desktop-environment)
   LXDE Desktop (lxde-desktop-environment)
   LXQt Desktop (lxqt-desktop-environment)
   Cinnamon Desktop (cinnamon-desktop-environment)
   MATE Desktop (mate-desktop-environment)
   Sugar Desktop Environment (sugar-desktop-environment)
   Development and Creative Workstation (developer-workstation-environment)
   Web Server (web-server-environment)
   Infrastructure Server (infrastructure-server-environment)
   Basic Desktop (basic-desktop-environment)

`dnf group list`:
Available environment groups:
   Minimal Install
   Fedora Server
   Fedora Cloud Server
   KDE Plasma Workspaces
   Xfce Desktop
   LXDE Desktop
   LXQt Desktop
   Cinnamon Desktop
   MATE Desktop
   Sugar Desktop Environment
   Development and Creative Workstation
   Web Server
   Infrastructure Server
   Basic Desktop


Expected results: Please mention this -v option in the man page in the section about the group commands, just like it's mentioned for repolist.
Comment 1 Honza Silhan 2015-10-13 10:07:57 EDT
we can mention that in the man page.
Comment 2 Fedora Update System 2016-02-25 08:53:17 EST
dnf-plugins-core-0.1.17-1.fc23 dnf-1.1.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0123ce82c1
Comment 3 Fedora Update System 2016-02-25 08:56:16 EST
dnf-plugins-core-0.1.17-1.fc22 dnf-1.1.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f673381075
Comment 4 Fedora Update System 2016-03-09 12:19:40 EST
dnf-1.1.7-2.fc23 dnf-plugins-core-0.1.17-1.fc23 libsolv-0.6.19-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0123ce82c1
Comment 5 Fedora Update System 2016-03-09 12:21:29 EST
dnf-1.1.7-2.fc22 dnf-plugins-core-0.1.17-1.fc22 libsolv-0.6.19-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f673381075
Comment 6 Fedora Update System 2016-03-10 11:52:54 EST
dnf-1.1.7-2.fc22, dnf-plugins-core-0.1.17-1.fc22, libsolv-0.6.19-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f673381075
Comment 7 Fedora Update System 2016-03-10 11:54:27 EST
dnf-1.1.7-2.fc23, dnf-plugins-core-0.1.17-1.fc23, libsolv-0.6.19-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0123ce82c1
Comment 8 Fedora Update System 2016-03-13 19:54:54 EDT
dnf-1.1.7-2.fc23, dnf-plugins-core-0.1.17-1.fc23, libsolv-0.6.19-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-03-19 08:15:58 EDT
dnf-1.1.7-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c030d24231
Comment 10 Fedora Update System 2016-03-19 23:57:49 EDT
dnf-1.1.7-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c030d24231
Comment 11 Fedora Update System 2016-03-26 13:57:40 EDT
dnf-1.1.7-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.